#ifndef _MEMORY_HPP
#define _MEMORY_HPP 1
/*
**
** Memory.hpp
**
** $VER: Memory.hpp 1.0 (27.06.98)
**
** $Revision: 1.3 $
** $State: Exp $
** $Date: 1998/08/16 19:03:42 $
**
** $Log: Memory.hpp $
** Revision 1.3  1998/08/16 19:03:42  kakace
** Version Beta3+
**
** Revision 1.2  1998/07/27 02:25:37  kakace
** *** empty log message ***
**
** Revision 1.1  1998/07/24 14:26:55  kakace
** Automatic global CheckIn
**
*/

#ifndef  _INCLUDE_STDLIB_H
#include <stdlib.h>
#endif

#ifndef  EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef  _PEGASECOND_HPP
#include "PegaseCond.hpp"
#endif


//----------------------------------------------------------------------------------------------------
//============================================ Prototypes ============================================
//----------------------------------------------------------------------------------------------------


//===== AllocBuffer() inlined =====

inline void *AllocBuffer(ULONG size)
{
    return (malloc(size));
}


//===== FreeBuffer() inlined =====

inline void FreeBuffer(void *buffaddr)
{
    free(buffaddr);
}


void *AllocAlignedBuffer(ULONG size);
void FreeAlignedBuffer(void *buffaddr);

#endif  // MEMORY_HPP

